mod Mtexg

rem 
  \para \bf  Logic.  \end 

rem 
  \para \bf  Formulas.  \end 

appldisp/1 Tex_f1_g_pvar
  Subsup(Id(0,'p',0),75,Arg(0),None)

appldisp/0 Tex_f0_g_tc
  Op(Ent('top'),0)

appldisp/0 Tex_f0_g_fc
  Op(Ent('bot'),0)

appldisp/0 Tex_f0_g_not
  Op(Ent('not'),0)

appldisp/1 Tex_f1_g_not
  Prefix(70,2,Op(Ent('not'),0),Arg(0))

appldisp/0 Tex_f0_g_and
  Op(Ent('and'),0)

appldisp/2 Tex_f2_g_and
  Infix(Arg(0),45,2,Op(Ent('and'),0),Arg(1))

appldisp/0 Tex_f0_g_or
  Op(Ent('or'),0)

appldisp/2 Tex_f2_g_or
  Infix(Arg(0),40,2,Op(Ent('or'),0),Arg(1))

appldisp/0 Tex_f0_g_imp
  Op(Ent('rarr'),0)

appldisp/2 Tex_f2_g_imp
  Infix(Arg(0),35,2,Op(Ent('rarr'),0),Arg(1))

appldisp/0 Tex_f0_g_iff
  Op(Ent('harr'),0)

appldisp/2 Tex_f2_g_iff
  Infix(Arg(0),35,2,Op(Ent('harr'),0),Arg(1))

appldisp/0 Tex_f0_g_exists
  Op(Ent('exist'),0)

appldisp/2 Tex_f2_g_exists
  Prefix(80,2,Op(Ent('exist'),0),Prefix(20,2,Arg(0),Arg(1)))

appldisp/0 Tex_f0_g_forall
  Op(Ent('forall'),0)

appldisp/2 Tex_f2_g_forall
  Prefix(80,2,Op(Ent('forall'),0),Prefix(20,2,Arg(0),Arg(1)))

rem 
  \para \bf  Tableaux.  \end 

rem 
  \para \it  Basic notation.  \end 

appldisp/1 Tex_f1_g_x_goal
  Postfix(Arg(0),4,1,Op(Ent('lowast'),0))

appldisp/1 Tex_f1_g_x_assum
  Postfix(Arg(0),4,1,Op('',0))

appldisp/3 Tex_f3_g_x_nrule
  Postfix(Frac(Arg(0),1,Arg(1)),31,1,Arg(2))

appldisp/2 Tex_f2_g_x_branch
  Infix(Arg(0),1,2,Op(Ent('mid'),0),Arg(1))

appldisp/0 Tex_f0_g_x_nothing
  Id(0,Ent('nbsp'),0)

appldisp/2 Tex_f2_g_x_c
  Infix(Arg(0),10,1,Id(0,',',0),Arg(1))

appldisp/2 Tex_f2_g_x_sc
  Infix(Arg(0),10,1,Id(0,';',0),Arg(1))

rem 
  \para \it  Tableaux rules.  \end 

appldisp/1 Tex_f1_g_x_close
  Prefix(10,2,Id(0,'close',0),Arg(0))

appldisp/1 Tex_f1_g_x_closeg
  Prefix(10,2,Id(0,'close*',0),Arg(0))

appldisp/1 Tex_f1_g_x_flatten
  Prefix(10,2,Id(0,'flatten',0),Arg(0))

appldisp/1 Tex_f1_g_x_flatteng
  Prefix(10,2,Id(0,'flatten*',0),Arg(0))

appldisp/1 Tex_f1_g_x_split
  Prefix(10,2,Id(0,'split',0),Arg(0))

appldisp/1 Tex_f1_g_x_splitg
  Prefix(10,2,Id(0,'split*',0),Arg(0))

appldisp/1 Tex_f1_g_x_inv
  Prefix(10,2,Id(0,'inv',0),Arg(0))

appldisp/1 Tex_f1_g_x_invg
  Prefix(10,2,Id(0,'inv*',0),Arg(0))

appldisp/1 Tex_f1_g_x_weak
  Prefix(10,2,Id(0,'weak',0),Arg(0))

appldisp/1 Tex_f1_g_x_weakg
  Prefix(10,2,Id(0,'weak*',0),Arg(0))

appldisp/1 Tex_f1_g_x_use
  Prefix(10,2,Id(0,'use',0),Arg(0))

appldisp/1 Tex_f1_g_x_cut
  Prefix(10,2,Id(0,'cut',0),Arg(0))

appldisp/1 Tex_f1_g_x_cutg
  Prefix(10,2,Id(0,'cut*',0),Arg(0))

appldisp/1 Tex_f1_g_x_inst
  Prefix(10,2,Id(0,'inst',0),Arg(0))

appldisp/1 Tex_f1_g_x_instg
  Prefix(10,2,Id(0,'inst*',0),Arg(0))

appldisp/1 Tex_f1_g_x_eigen
  Prefix(10,2,Id(0,'eigen',0),Arg(0))

appldisp/1 Tex_f1_g_x_eigeng
  Prefix(10,2,Id(0,'eigen*',0),Arg(0))

rem 
  \para \bf  Peano arithmetic.  \end 

appldisp/0 Tex_f0_g_pa_z
  Num('0',0)

appldisp/1 Tex_f1_g_pa_ss
  Std('S',0)

appldisp/2 Tex_f2_g_pa_plus
  Infix(Arg(0),40,0,Op('+',0),Arg(1))

appldisp/2 Tex_f2_g_pa_times
  Infix(Arg(0),45,0,Op(Ent('sdot'),0),Arg(1))

